POST
/status/servicesCreate a status service
Create a new status service. Subject to the plan’s maxStatusComponents limit.
Request body
| Field | Type | Description |
|---|---|---|
namerequired | string | |
description | string | null | |
groupId | stringnull | Status component group ID |
status | "operational" | "degraded_performance" | "partial_outage" | "major_outage" | "under_maintenance" | Component status |
showUptime | boolean | |
segmentIds | string[] |
Response
Status service created
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
groupIdrequired | string | null | |
namerequired | string | |
descriptionrequired | stringnull | |
statusrequired | "operational" | "degraded_performance" | "partial_outage" | "major_outage" | "under_maintenance" | Component status |
positionrequired | number | |
showUptimerequired | boolean | |
segmentIdsrequired | string[] |
Errors
400Validation error401UnauthorizedExample request
curl \
-X POST \
"https://feedback.quackback.io/api/v1/status/services" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "API",
"status": "operational",
"showUptime": false,
"segmentIds": []
}'